Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Location

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040LocationImpl

    public interface POCDMT000040Location

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Location'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Health Care Facility`
- `Null Flavor`
- `Type Code`

See Also:
  `CDAR2Package.getPOCDMT000040Location()`

Method Summary
`POCDMT000040HealthCareFacility` | `getHealthCareFacility()` Returns the value of the 'Health Care Facility' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ParticipationTargetLocation` | `getTypeCode()` Returns the value of the 'Type Code' attribute.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetTypeCode()` Returns whether the value of the '`Type Code`' attribute is set.
`void` | `setHealthCareFacility(POCDMT000040HealthCareFacility value)` Sets the value of the '`Health Care Facility`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setTypeCode(ParticipationTargetLocation value)` Sets the value of the '`Type Code`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetTypeCode()` Unsets the value of the '`Type Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Location_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Location_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Location_TemplateId()`

### getHealthCareFacility

    POCDMT000040HealthCareFacility getHealthCareFacility()

  Returns the value of the 'Health Care Facility' containment reference.

  If the meaning of the 'Health Care Facility' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Health Care Facility' containment reference.
  See Also:
    `setHealthCareFacility(POCDMT000040HealthCareFacility)`, `CDAR2Package.getPOCDMT000040Location_HealthCareFacility()`

### setHealthCareFacility

    void setHealthCareFacility(POCDMT000040HealthCareFacility value)

  Sets the value of the '`Health Care Facility`' containment reference.

  Parameters:
    `value` - the new value of the 'Health Care Facility' containment reference.
  See Also:
    `getHealthCareFacility()`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Location_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

### getTypeCode

    ParticipationTargetLocation getTypeCode()

  Returns the value of the 'Type Code' attribute. The default value is `"LOC"`. The literals are from the enumeration `ParticipationTargetLocation`.

  If the meaning of the 'Type Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `ParticipationTargetLocation`, `isSetTypeCode()`, `unsetTypeCode()`, `setTypeCode(ParticipationTargetLocation)`, `CDAR2Package.getPOCDMT000040Location_TypeCode()`

### setTypeCode

    void setTypeCode(ParticipationTargetLocation value)

  Sets the value of the '`Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Type Code' attribute.
  See Also:
    `ParticipationTargetLocation`, `isSetTypeCode()`, `unsetTypeCode()`, `getTypeCode()`

### unsetTypeCode

    void unsetTypeCode()

  Unsets the value of the '`Type Code`' attribute.

  See Also:
    `isSetTypeCode()`, `getTypeCode()`, `setTypeCode(ParticipationTargetLocation)`

### isSetTypeCode

    boolean isSetTypeCode()

  Returns whether the value of the '`Type Code`' attribute is set.

  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `unsetTypeCode()`, `getTypeCode()`, `setTypeCode(ParticipationTargetLocation)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD